- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
geventloop.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "geventhandler.h"`
`#include "gexception.h"`
`#include "gdatetime.h"`
`#include "gdescriptor.h"`
`#include <list>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::EventLoop
| An abstract base class for a singleton that keeps track of open sockets and their associated handlers. More...

## Namespaces
| GNet
| Network classes.